:root {
    --ns-orange: #df7500;
    --ns-black:#414046;
    --ns-grey:#c5c6c8;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
}

body {
    background-color: #fafafa;
}

.container {
    height:100%;
    max-width: 1350px;
    margin: auto;
    padding:0 2em;
}

.section--under-construction{
    height:99.99vh;
}

.inner-section--under-conctruction{
    height: 100%;
    display: flex;
}

.nyan-cat{
    width:100%;
}

.nyan-cat-container{
    width:100%;
    height:90%;
    padding:2em;
    background-image: url("/img/nyan-cat.gif");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: 50% -50%;
    display:grid;
    background-color: #fff;
    grid-auto-flow: row;
    align-items: center;
    justify-items: center;
    margin:auto;
    border-radius: 35px;
    border:1px solid rgba(229, 229, 229, 1);
}

.content--under-construction{
    height: 100%;
    padding-top: 20%;
    text-align: center;
}

.text-large{
    padding-top:2.5em;
    font-family: Gilroy;
    font-weight: 900;
    font-size: 2.5em;
    color:var(--ns-black);
    line-height: 1.5em;
}

.text-link a{
    font-family: Gilroy;
    font-weight: 800;
    font-size: 2em;
    color:var(--ns-grey);
    line-height: 2em;
    transition: color .3s ease;
}

.text-link a:hover{
    color:var(--ns-black);
}

.text-small{
    font-family: Gilroy;
    font-weight: bold;
    font-size: 1.1em;
    color:var(--ns-grey);
    padding-top:1.5em;

}

.messengers {
	margin: auto;
	display: grid;
    grid-auto-flow: column;
	column-gap: 2em;
	align-items: center;
	justify-items: center;
    margin: 2em auto;
}
.messengers__icon {
	width: 3em;
	cursor: pointer;
}

.messenger-button{
    width:205px;
    height: 70px;
    font-family: Gilroy;
    color: rgba(26,26,26,0.8);
    font-weight: bold;
    font-size: 1.1em;
    display: grid;
    grid-auto-flow: column;
    align-items: center;
    column-gap: 1em;
    background: #fff;
    border-radius: 10px;
    border:1px solid rgba(229, 229, 229, 1);
    padding-left: 60px;
    padding:0 40px 0 80px;
    background-position: 10% 50%;
    background-repeat: no-repeat;
    background-size: 50px;
    transition: .3s;
}


.messenger-whatsapp{
    background-image: url("/img/messenger-whatsapp.svg");
}

.messenger-whatsapp:hover{
    color:#05CA47;
    border:1px solid #05CA47;
    box-shadow: 0 0 10px rgba(5,202,71,0.2);
}

.messenger-telegram{
    background-image: url("/img/messenger-telegram.svg");
}

.messenger-telegram:hover{
    color:rgb(0,161,230);
    border:1px solid rgb(0,161,230);
    box-shadow: 0 0 10px rgba(0,161,230,0.2);
}

.messenger-vk{
    background-image: url("/img/messenger-vk.svg");
}

.messenger-vk:hover{
    color:rgb(77,118,161);
    border:1px solid rgb(77,118,161);
    box-shadow: 0 0 10px rgba(77,118,161,0.2);
}


@media screen and (max-width:1199px) {
    .nyan-cat-container{
        background-position: 50% 0%;
    }
}
@media screen and (max-width:799px) {
    .container{
        padding:0;
    }
    .nyan-cat-container{
        height: 100%;
        border-radius: 0;
        padding:10vw;
    }
    .text-large{
        font-size: 5.5vw;
    }
    .text-link a{
        font-size: 6vw;
    }
    .text-small{
        font-size: 3.75vw;
    }
    .messengers {
        grid-auto-flow: row;
        row-gap: 1em;
    }
    .messenger-button{
        width: 100%;
    }
}